dev-ruby: rather large unforking and cleaning of old ebuilds

This commit is contained in:
Rick Farina (Zero_Chaos) 2016-06-13 00:51:16 -04:00
parent 237ef00de5
commit 17bfe1fba1
No known key found for this signature in database
GPG key ID: A5DD1427DD11F94A
61 changed files with 0 additions and 1725 deletions

View file

@ -1 +0,0 @@
DIST rails-3.2.21.tgz 3568729 SHA256 95dcf2a848a7fd09acbb12c47e6901baeea08645c32c37e2ae04e2650cf01deb SHA512 952c799736dd2a48532a4340d97ffbbbdc2451fc509e7f86ca47c09f5c6a3f4e5cb9b87c3e803692bc8a810bc178513bbe74f3037fdf8f786c30f0c85dd26948 WHIRLPOOL a2c79df0091ea0ca6f3969a91b4d73c14f79cab9d31ec30591a640321487aedafd0318326080ad4d9be0523002eab2c3c5e9e49b2c6b0b5ef6f5dac8da0bfab5

View file

@ -1,77 +0,0 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/actionpack/actionpack-3.2.21.ebuild,v 1.1 2014/11/17 20:19:20 graaff Exp $
EAPI=5
USE_RUBY="ruby19 ruby20 ruby21"
# The default test task tries to test activerecord with SQLite as well.
RUBY_FAKEGEM_TASK_TEST="test_action_pack"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_DOCDIR="doc"
RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
RUBY_FAKEGEM_GEMSPEC="actionpack.gemspec"
inherit ruby-fakegem versionator
DESCRIPTION="Eases web-request routing, handling, and response"
HOMEPAGE="https://github.com/rails/rails"
SRC_URI="http://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
LICENSE="MIT"
SLOT="$(get_version_component_range 1-2)"
KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE=""
RUBY_S="rails-${PV}/${PN}"
ruby_add_rdepend "
~dev-ruby/activemodel-${PV}
~dev-ruby/activesupport-${PV}
>=dev-ruby/rack-cache-1.2
>=dev-ruby/builder-3.0.0:3
>=dev-ruby/rack-1.4.5:1.4
>=dev-ruby/rack-test-0.6.1:0.6
>=dev-ruby/journey-1.0.4:1.0
>=dev-ruby/sprockets-2.2.1:2.2
>=dev-ruby/erubis-2.7.0"
ruby_add_bdepend "
test? (
dev-ruby/mocha:0.13
dev-ruby/bundler
~dev-ruby/activerecord-${PV}
~dev-ruby/actionmailer-${PV}
>=dev-ruby/tzinfo-0.3.29:0
>=dev-ruby/uglifier-1.0.3
)"
all_ruby_prepare() {
# Remove items from the common Gemfile that we don't need for this
# test run. This also requires handling some gemspecs.
sed -i -e "/\(system_timer\|sdoc\|w3c_validators\|pg\|jquery-rails\|'mysql'\|journey\|ruby-prof\|benchmark-ips\|nokogiri\)/d" ../Gemfile || die
sed -i -e '/rack-ssl/d' -e 's/~> 3.4/>= 3.4/' ../railties/railties.gemspec || die
sed -i -e '/mail/d' ../actionmailer/actionmailer.gemspec || die
sed -i -e '/bcrypt/ s/3.0.0/3.0/' ../Gemfile || die
# Avoid fragile tests depending on hash ordering
sed -i -e '/cookie_3=chocolate/ s:^:#:' test/controller/integration_test.rb || die
sed -i -e '/test_to_s/,/end/ s:^:#:' test/template/html-scanner/tag_node_test.rb || die
sed -i -e '/"name":"david"/ s:^:#:' test/controller/mime_responds_test.rb || die
sed -i -e '/test_option_html_attributes_with_multiple_element_hash/, / end/ s:^:#:' test/template/form_options_helper_test.rb || die
sed -i -e '/test_option_html_attributes_with_multiple_hashes/, / end/ s:^:#:' test/template/form_options_helper_test.rb || die
# Avoid fragile test that gets more output than it expects.
sed -i -e '/test_locals_option_to_assert_template_is_not_supported/,/end/ s:^:#:' test/controller/render_test.rb || die
# Avoid test broken by security updates in i18n.
sed -i -e '/test_number_to_i18n_currency/,/end/ s:^:#:' test/template/number_helper_i18n_test.rb || die
# Avoid test that chokes on bad UTF-8.
sed -i -e '/test_handles_urls_with_bad_encoding/askip "gentoo"' test/dispatch/static_test.rb || die
}

View file

@ -1 +0,0 @@
DIST rails-3.2.21.tgz 3568729 SHA256 95dcf2a848a7fd09acbb12c47e6901baeea08645c32c37e2ae04e2650cf01deb SHA512 952c799736dd2a48532a4340d97ffbbbdc2451fc509e7f86ca47c09f5c6a3f4e5cb9b87c3e803692bc8a810bc178513bbe74f3037fdf8f786c30f0c85dd26948 WHIRLPOOL a2c79df0091ea0ca6f3969a91b4d73c14f79cab9d31ec30591a640321487aedafd0318326080ad4d9be0523002eab2c3c5e9e49b2c6b0b5ef6f5dac8da0bfab5

View file

@ -1,75 +0,0 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/activerecord/activerecord-3.2.21.ebuild,v 1.1 2014/11/17 20:20:00 graaff Exp $
EAPI=5
USE_RUBY="ruby19 ruby20 ruby21"
# this is not null so that the dependencies will actually be filled
RUBY_FAKEGEM_TASK_TEST="test"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
RUBY_FAKEGEM_GEMSPEC="activerecord.gemspec"
inherit ruby-fakegem versionator
DESCRIPTION="Implements the ActiveRecord pattern (Fowler, PoEAA) for ORM"
HOMEPAGE="http://rubyforge.org/projects/activerecord/"
SRC_URI="http://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
LICENSE="MIT"
SLOT="$(get_version_component_range 1-2)"
KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="mysql postgres sqlite3"
RUBY_S="rails-${PV}/${PN}"
ruby_add_rdepend "~dev-ruby/activesupport-${PV}
~dev-ruby/activemodel-${PV}
>=dev-ruby/arel-3.0.2:3.0
>=dev-ruby/tzinfo-0.3.29:0
sqlite3? ( >=dev-ruby/sqlite3-1.3.5 )
mysql? ( >=dev-ruby/mysql2-0.3.10:0.3 )
postgres? ( >=dev-ruby/pg-0.11.0 )"
ruby_add_bdepend "
test? (
dev-ruby/bundler
~dev-ruby/actionpack-${PV}
>=dev-ruby/sqlite3-1.3.5
dev-ruby/mocha:0.13
)"
all_ruby_prepare() {
# Remove items from the common Gemfile that we don't need for this
# test run. This also requires handling some gemspecs.
sed -i -e "/\(uglifier\|system_timer\|sdoc\|w3c_validators\|pg\|jquery-rails\|'mysql'\|journey\|ruby-prof\|benchmark-ips\|nokogiri\)/d" ../Gemfile || die
sed -i -e '/rack-ssl/d' -e 's/~> 3.4/>= 3.4/' ../railties/railties.gemspec || die
sed -i -e '/mail/d' ../actionmailer/actionmailer.gemspec || die
# sed -i -e '/[Bb]undler/d' ../load_paths.rb || die
sed -i -e '/bcrypt/ s/3.0.0/3.0/' ../Gemfile || die
# Avoid tests depending on hash ordering
sed -i -e '/test_should_automatically_build_new_associated/,/ end/ s:^:#:' test/cases/nested_attributes_test.rb || die
# Avoid test depending on mysql adapter which we don't support for
# this Rails version to simplify our dependencies.
rm test/cases/connection_specification/resolver_test.rb || die
# Avoid test depending on specific sqlite3 binding or database version.
sed -i -e '/test_uniqueness_violations_are_translated/,/^ end/ s:^:#:' test/cases/adapter_test.rb || die
}
each_ruby_test() {
case ${RUBY} in
*jruby)
;;
*)
if use sqlite3; then
${RUBY} -I. -S rake test_sqlite3 || die "sqlite3 tests failed"
fi
;;
esac
}

View file

@ -1 +0,0 @@
DIST backports-3.3.3.gem 85504 SHA256 5ef7b7ea4bdc1713fa8cd8340a938b5a2ec0a6861a1c12aa7a67533e10513478 SHA512 42119409ca3e99af13213c8172a7072cd270112adaf7ddec8b20fe30dc954a8d1a1e93c1ade98aa7fbed25108e2b2b0cae2370e3565d6efccfabde24612afbfa WHIRLPOOL a2f05b252b5e7e07fcfb4f6bdff3afb44bf917cefe0e61ae6d8b1c323ba51f362a3ba664f7bcf1e90ad132a11349eb260d7184cf5c9c0de24f240ab68038a816

View file

@ -1,16 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
USE_RUBY="ruby19 ruby20 ruby21"
inherit multilib ruby-fakegem
DESCRIPTION="Enables many features of Ruby for earlier versions"
HOMEPAGE="https://rubygems.org/gems/backports"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~x86"

View file

@ -1,3 +0,0 @@
DIST ethon-0.5.10.gem 44032 SHA256 e3351eb320fafb9ebb90e85c99a3979894cd536acd96dd7aee3b0b83bde8360c SHA512 5e323cd8cd43f1063c49b0dc123d6e6220360939a29abe42f6f5e981a8853bd2ac5df5420c768d89aceb0d6e765a0c3e45f7cdfc1cdbe7e5c39e51f5c1bc8c66 WHIRLPOOL 2c9563a27072e011c9c116681a8cbc54aeabda798dedc3941f9a2529830ba7e7ad018cdb7b0c8a5c694d56edbfd42b622fb8016ede9b3c6536809ae2f67922b9
DIST ethon-0.5.11.gem 44544 SHA256 c2311952daaa25667c0a05fc8086c39611e68d326ac5c9c31034bff00d1305ae SHA512 cb21bda1add68bb5a45525aa48eecf58794ce92f0c0214d3830b0cf928e4fbddfdd3ef48489801d82bef106aab72262c91f1234b5847ca8651b1dfb9da8e217c WHIRLPOOL f43d505db0ef43011ab65aca86810a55f6a27b4e29d7d006efb38b47549a78be3e5046aeb0f810bfcb57ca6976b410989d61f630c725dfd3ad52f36e73f7a8c8
DIST ethon-0.7.0.gem 51712 SHA256 7b008ec02af4673465da3b5654504d808b07763d2dc2de9d4cf7bd99296ab8ce SHA512 5da6139522c0a169d03a6657baebec3044c7c7c7f1aec2990367b75bfa0ca22815c2934a9fca1529a1694aa51491f685d4d5f71f97bbe510c2a4baea95d7da0d WHIRLPOOL 80fcd16f8ff0bb575c56294d25a57c2d1af41f7e030f6e2a68c37e1e078d637a0e7ea0cd6f8acc566e3b3ef0e653d46d39680cb9ac78e99e74dfb9c7fabd7bfe

View file

@ -1,20 +0,0 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
EAPI=4
USE_RUBY="ruby18 ruby19"
inherit multilib ruby-fakegem
DESCRIPTION="Very lightweight libcurl wrapper"
HOMEPAGE="https://rubygems.org/gems/ethon"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="hardened"
ruby_add_rdepend "virtual/ruby-ffi
>=dev-ruby/ffi-1.3.0
>=dev-ruby/mime-types-1.18"

View file

@ -1,20 +0,0 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
EAPI=4
USE_RUBY="ruby18 ruby19"
inherit multilib ruby-fakegem
DESCRIPTION="Very lightweight libcurl wrapper"
HOMEPAGE="https://rubygems.org/gems/ethon"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="hardened"
ruby_add_rdepend "virtual/ruby-ffi
>=dev-ruby/ffi-1.3.0
>=dev-ruby/mime-types-1.18"

View file

@ -1,20 +0,0 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
EAPI=4
USE_RUBY="ruby18 ruby19"
inherit multilib ruby-fakegem
DESCRIPTION="Very lightweight libcurl wrapper"
HOMEPAGE="https://rubygems.org/gems/ethon"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="hardened"
ruby_add_rdepend "virtual/ruby-ffi
>=dev-ruby/ffi-1.3.0
>=dev-ruby/mime-types-1.18"

View file

@ -1 +0,0 @@
DIST ffi-git-1.3.1.tgz 889381 SHA256 f4e47ad4a70a89222a3a319b72dabedfcf69bf0f5583dde08961a933947a0bd1 SHA512 9ceaa6afb8e0c7f19900f7f412c97eb59e9ce4131cdf42d745615b37ffcd75f228bed7e566d31505cfe3ed80ffda545b536e1de1c55dbe867bbad7321de437b9 WHIRLPOOL db677139bb94bbe285ba1af2fe013cd9d19ce28e50fe8b7db481465ea20a8a71f86a661f675078de0214ee8f3476dd439582a8a75b6a7079c2466cf3beb518f7

View file

@ -1,47 +0,0 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/ffi/ffi-1.4.0.ebuild,v 1.1 2013/03/06 05:51:35 graaff Exp $
EAPI=5
# jruby → unneeded, this is part of the standard JRuby distribution, and
# would just install a dummy.
USE_RUBY="ruby18 ruby19 ree18"
RUBY_FAKEGEM_TASK_TEST="specs"
RUBY_FAKEGEM_TASK_DOC="doc:yard"
RUBY_FAKEGEM_DOCDIR="doc"
RUBY_FAKEGEM_EXTRADOC="README.md"
inherit ruby-fakegem
DESCRIPTION="Ruby extension for programmatically loading dynamic libraries"
HOMEPAGE="http://wiki.github.com/ffi/ffi"
SRC_URI="http://github.com/${PN}/${PN}/archive/${PV}.tar.gz -> ${PN}-git-${PV}.tgz"
IUSE=""
LICENSE="LGPL-3"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x86-solaris"
RDEPEND="${RDEPEND} virtual/libffi"
DEPEND="${DEPEND} virtual/libffi"
ruby_add_bdepend "dev-ruby/rake-compiler dev-ruby/yard
test? ( dev-ruby/rspec:2 )"
ruby_add_rdepend "virtual/ruby-threads"
each_ruby_compile() {
${RUBY} -S rake compile || die "compile failed"
${RUBY} -S rake -f gen/Rakefile || die "types.conf generation failed"
}
all_ruby_install() {
all_fakegem_install
docinto examples
dodoc samples/*
}

View file

@ -1,25 +0,0 @@
# ChangeLog for dev-ruby/hitimes
# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/hitimes/ChangeLog,v 1.5 2014/12/28 00:55:22 mrueg Exp $
28 Dec 2014; Manuel Rüger <mrueg@gentoo.org> -hitimes-1.2.1.ebuild:
Remove old.
12 Aug 2014; Anthony G. Basile <blueness@gentoo.org> hitimes-1.2.1.ebuild,
hitimes-1.2.2.ebuild:
Keyword ~ppc and ~ppc64, bug #519596
*hitimes-1.2.2 (10 Aug 2014)
10 Aug 2014; Manuel Rüger <mrueg@gentoo.org> +hitimes-1.2.2.ebuild:
Version bump.
05 Aug 2014; Manuel Rüger <mrueg@gentoo.org> hitimes-1.2.1.ebuild:
Remove trailing '.' from DESCRIPTION.
*hitimes-1.2.1 (28 Apr 2014)
28 Apr 2014; Hans de Graaff <graaff@gentoo.org> +hitimes-1.2.1.ebuild,
+metadata.xml:
Initial import. New dependency for dev-ruby/timers. Ebuild by Peter Wilmott
in the ruby overlay.

View file

@ -1 +0,0 @@
DIST hitimes-1.2.2.gem 32256 SHA256 c44a808cafedd9a3571a1990668ce1f5f60b7e1ab6bd8b5feaa60edaf17bc39f SHA512 c12ae48444c22b90f7ca264c8a8a80917b605de03832a9ced9a03c442461dfa3f33dd67129ff512ee196af97895491a7f378fff5a26bfa09a8c50cf6feadb9ac WHIRLPOOL 8b7d66ab263fd58b000e29948209795361451fc5721d083fe86291233726616df9ddefa34c82e9b16bc7991859dbfc8b65ebc6c2e12f7e48a2be7f7fdc282f79

View file

@ -1,36 +0,0 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/hitimes/hitimes-1.2.2.ebuild,v 1.2 2014/08/12 22:44:13 blueness Exp $
EAPI=5
USE_RUBY="ruby19 ruby20 ruby21"
RUBY_FAKEGEM_RECIPE_DOC="rdoc"
RUBY_FAKEGEM_EXTRADOC="README.md HISTORY.md"
inherit multilib ruby-fakegem
DESCRIPTION="A fast, high resolution timer library"
HOMEPAGE="https://github.com/copiousfreetime/hitimes"
LICENSE="ISC"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
IUSE=""
all_ruby_prepare() {
sed -i -e "/RUBY_VERSION >= '1.9.2'/,+4d" spec/spec_helper.rb || die
}
each_ruby_configure() {
${RUBY} -Cext/hitimes/c extconf.rb || die
}
each_ruby_compile() {
emake -Cext/hitimes/c V=1
cp ext/hitimes/c/hitimes$(get_modname) lib/hitimes || die
}
each_ruby_test() {
${RUBY} -S testrb -Ilib:spec spec/*_spec.rb || die
}

View file

@ -1,5 +0,0 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>ruby</herd>
</pkgmetadata>

View file

@ -1 +0,0 @@
DIST metasploit-concern-2.0.1.gem 19456 SHA256 ef42d34726f294712710c9efbd6229733877051eab77bfd1369e83df39a0c2a9 SHA512 759b1d96a3339f2396fe98ae979e0d3188fc75ff7374069b90e8cd98145d18c5d77d863d580aa1481aef91f8b8eb3d12e6fc1dc67354e1b52be33fad28741003 WHIRLPOOL 31243cd6b167c1766785e918515234e17f6ac47d764e00eb5e6e0782bd14ab8c053cf2c9b03ebd25e7a5dc35e9b439ab4bf03d1a4be6af6507bb91c266382491

View file

@ -1,27 +0,0 @@
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
USE_RUBY="ruby20 ruby21 ruby22"
RUBY_FAKEGEM_EXTRAINSTALL="app spec"
inherit ruby-fakegem versionator
DESCRIPTION="Metasploit concern allows you to define concerns in app/concerns. "
HOMEPAGE="https://github.com/rapid7/metasploit-concern"
SRC_URI="mirror://rubygems/${P}.gem"
LICENSE="BSD"
SLOT="$(get_version_component_range 1-2)"
KEYWORDS="~amd64 ~arm ~x86"
#IUSE="development test"
RESTRICT=test
IUSE=""
RDEPEND="${RDEPEND} !dev-ruby/metasploit-concern:0"
ruby_add_rdepend ">=dev-ruby/railties-4.2.6:4.2
>=dev-ruby/activemodel-4.2.6:4.2
>=dev-ruby/activesupport-4.2.6:4.2"

View file

@ -1 +0,0 @@
DIST metasploit-credential-2.0.3.gem 108032 SHA256 ce275e0d61aa3fba1e19b6b8bedc8c1ce655d44d58a1ca36f798c8762e08ee33 SHA512 df3289756fa26931ae8cdbbfa94efbbd370ac4f6e7acdb3188e6fdcbbe89d4a894cdeb673c0a4608764b1916691f2522bd3e658d97b7742ca7637e17c299ad3a WHIRLPOOL 9d1ba8ed612635b57e5147202823220748583b64abe3c1f1050d134cf2a2e1658e4dddc20174253c53d77d336d3ce11c6b1e8d1ef2de784ec9072a0f232bf150

View file

@ -1,28 +0,0 @@
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
USE_RUBY="ruby20 ruby21"
RUBY_FAKEGEM_RECIPE_DOC="rdoc"
inherit ruby-fakegem
RUBY_FAKEGEM_EXTRAINSTALL="app config db spec"
DESCRIPTION="Code for modeling and managing credentials in Metasploit"
HOMEPAGE="https://github.com/rapid7/metasploit-credential"
LICENSE="BSD"
SLOT="$(get_version_component_range 1-2)"
KEYWORDS="~amd64 ~arm ~x86"
IUSE=""
ruby_add_rdepend "dev-ruby/metasploit-concern:2.0
dev-ruby/metasploit_data_models:2.0.0
dev-ruby/metasploit-model:2.0
dev-ruby/rubyzip:1
dev-ruby/rubyntlm
dev-ruby/railties:4.2
dev-ruby/pg"

View file

@ -1 +0,0 @@
DIST metasploit-model-2.0.0.gem 81408 SHA256 c40fa0c5160ea99de81c475e5d1b852155f8080f66b47683f2cb4c19faa91788 SHA512 42c73b34104a94b5352e64199d2edf98ccc53c3e169f6799ecb7433588ed918d6483fe24cbfeab32b0a8859bcbfb42504054f013cdff2f03bac489e97edfe8ff WHIRLPOOL b739f5d1e465c06f6d1c4e4ba49ddf9f1e49e229b570f11cbfa0ea587a7a2b863f4e6a9a7c9df26b23e9e04e33ce72e99843b6c77a4b8cad34dd82449f41c8c7

View file

@ -1,73 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
USE_RUBY="ruby19 ruby20 ruby21"
inherit ruby-fakegem versionator
RUBY_FAKEGEM_EXTRAINSTALL="app config script spec"
DESCRIPTION="Common code, such as validators and mixins"
HOMEPAGE="https://github.com/rapid7/metasploit-model"
SRC_URI="mirror://rubygems/${P}.gem"
LICENSE="BSD"
SLOT="$(get_version_component_range 1-2)"
KEYWORDS="~amd64 ~arm ~x86"
#IUSE="development test"
RESTRICT=test
IUSE=""
RDEPEND="${RDEPEND} !dev-ruby/metasploit-model:0"
ruby_add_rdepend ">=dev-ruby/railties-4.2.6:4.2
>=dev-ruby/activesupport-4.2.6:4.2
>=dev-ruby/activemodel-4.2.6:4.2"
# development? ( dev-ruby/bundler
# dev-ruby/rake
# dev-ruby/i18n
# dev-ruby/multi_json
# dev-ruby/builder
# dev-ruby/erubis
# dev-ruby/journey
# dev-ruby/rack
# dev-ruby/rack-cache
# dev-ruby/rack-test
# dev-ruby/hike
# dev-ruby/tilt
# dev-ruby/sprockets:*
# dev-ruby/actionpack:4.0
# dev-ruby/json
# dev-ruby/rack-ssl:*
# dev-ruby/rdoc
# dev-ruby/thor
# dev-ruby/redcarpet
# <dev-ruby/yard-0.8.7.4 )"
ruby_add_bdepend "dev-ruby/bundler"
all_ruby_prepare() {
[ -f Gemfile.lock ] && rm Gemfile.lock
#For now, we don't support development or testing at all
#if ! use development; then
sed -i -e "/^group :development do/,/^end$/d" Gemfile || die
sed -i -e "/s.add_development_dependency/d" "${PN}".gemspec || die
sed -i -e "/spec.add_development_dependency/d" "${PN}".gemspec || die
#fi
#if ! use test; then
sed -i -e "/^group :test do/,/^end$/d" Gemfile || die
#fi
#if ! use test && ! use development; then
sed -i -e "/^group :development, :test do/,/^end$/d" Gemfile || die
#fi
}
each_ruby_prepare() {
if [ -f Gemfile ]
then
BUNDLE_GEMFILE=Gemfile ${RUBY} -S bundle install --local || die
BUNDLE_GEMFILE=Gemfile ${RUBY} -S bundle check || die
fi
}

View file

@ -1 +0,0 @@
DIST metasploit-payloads-1.1.11.gem 11979264 SHA256 d239ffe29f36bf15aa7c7b26a8632f0f246b20a0c221044eb3f1cf2180ceb4c0 SHA512 b04d59f119c85ad24e4e628eb29b5173019503c674a51421daf6a85d3642fde2ac098bbcf3c405eb25da8d93dcb9f30567ee9bd941d236efc5e385a28e21994d WHIRLPOOL 63b751602152c50625f4fbc097cc2dd07a81e8b187398238f36129466046a181bd854be6a1b977243cf30e2bc144778d4e494ac82ce963b966e7f8281f193814

View file

@ -1,44 +0,0 @@
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
USE_RUBY="ruby20 ruby21 ruby22"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_EXTRAINSTALL="data"
inherit ruby-fakegem
DESCRIPTION="Compiled binaries for Metasploit's Meterpreter"
HOMEPAGE="https://rubygems.org/gems/metasploit-payloads"
LICENSE="BSD"
SLOT="${PV}"
KEYWORDS="~amd64 ~arm ~x86"
IUSE=""
#no tests
RESTRICT="test strip"
QA_PREBUILT="
usr/lib*/ruby/gems/*/gems/${PN}-${SLOT}/data/meterpreter/msflinker_linux_x86.bin
usr/lib*/ruby/gems/*/gems/${PN}-${SLOT}/data/meterpreter/ext_server_sniffer.lso
usr/lib*/ruby/gems/*/gems/${PN}-${SLOT}/data/meterpreter/ext_server_networkpug.lso
usr/lib*/ruby/gems/*/gems/${PN}-${SLOT}/data/meterpreter/ext_server_stdapi.lso
usr/lib*/ruby/gems/*/gems/${PN}-${SLOT}/data/android/libs/armeabi/libndkstager.so
usr/lib*/ruby/gems/*/gems/${PN}-${SLOT}/data/android/libs/mips/libndkstager.so
usr/lib*/ruby/gems/*/gems/${PN}-${SLOT}/data/android/libs/x86/libndkstager.so
"
src_install() {
ruby-ng_src_install
#tell revdep-rebuild to ignore binaries meant for the target
dodir /etc/revdep-rebuild
cat <<-EOF > "${ED}"/etc/revdep-rebuild/99-${PN}-${SLOT} || die
#These dirs contain prebuilt binaries for running on the TARGET not the HOST
SEARCH_DIRS_MASK="/usr/lib*/ruby/gems/*/gems/${PN}-${SLOT}/data/android/libs"
EOF
}

View file

@ -1 +0,0 @@
DIST metasploit_data_models-2.0.0.gem 177152 SHA256 b5f32aeb00cab511c94212b7fa1b42631278d4766ab7b05f1c4fdf8e3c3655bb SHA512 4ff18ba09fe58e5846b745152739a6602fc144ca68240901f18791f7c6ffacc0a1d621fda222c86960ca59cd3034ef2fda4fc85dead669837e3c0a7c2ddc3f1d WHIRLPOOL 407460ac990f257a80c89c56463aef91ea48070d52225fc2116500ce822d5c5eb2880bd1fb21cb65a3ea3a0a725906dbe525cce5d18527030294ace776265a91

View file

@ -1,63 +0,0 @@
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
USE_RUBY="ruby20 ruby21"
inherit ruby-fakegem
RUBY_FAKEGEM_EXTRAINSTALL="app config db script spec"
DESCRIPTION="The database layer for Metasploit"
HOMEPAGE="https://github.com/rapid7/metasploit_data_models"
SRC_URI="mirror://rubygems/${P}.gem"
LICENSE="BSD"
SLOT="${PV}"
KEYWORDS="~amd64 ~arm ~x86"
RESTRICT=test
#IUSE="development test"
IUSE=""
RDEPEND="${RDEPEND} !dev-ruby/metasploit_data_models:0"
ruby_add_rdepend "
>=dev-ruby/activerecord-4.2.6:4.2[postgres]
>=dev-ruby/activesupport-4.2.6:4.2
dev-ruby/pg
dev-ruby/postgres_ext
>=dev-ruby/railties-4.2.6:4.2
dev-ruby/recog:*
dev-ruby/arel-helpers
dev-ruby/metasploit-concern:2.0
dev-ruby/metasploit-model:2.0
<dev-ruby/thor-2.0"
ruby_add_bdepend "dev-ruby/bundler"
all_ruby_prepare() {
[ -f Gemfile.lock ] && rm Gemfile.lock
#if ! use development; then
sed -i -e "/^group :development do/,/^end$/d" Gemfile || die
sed -i -e "/s.add_development_dependency/d" "${PN}".gemspec || die
#fi
#if ! use test; then
sed -i -e "/^group :test do/,/^end$/d" Gemfile || die
#fi
#if ! use test && ! use development; then
sed -i -e "/^group :development, :test do/,/^end$/d" Gemfile || die
#fi
}
each_ruby_prepare() {
if [ -f Gemfile ]
then
BUNDLE_GEMFILE=Gemfile ${RUBY} -S bundle install --local || die
BUNDLE_GEMFILE=Gemfile ${RUBY} -S bundle check || die
fi
}
all_ruby_install() {
ruby_fakegem_binwrapper mdm_console mdm_console-${SLOT}
}

View file

@ -1,26 +0,0 @@
# ChangeLog for dev-ruby/nio4r
# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/nio4r/ChangeLog,v 1.6 2014/12/09 11:48:42 mrueg Exp $
09 Dec 2014; Manuel Rüger <mrueg@gentoo.org> -files/nio4r-1.0.0-extconf.patch:
Remove unused files.
01 Nov 2014; Hans de Graaff <graaff@gentoo.org> -nio4r-1.0.0.ebuild:
Cleanup broken version.
*nio4r-1.0.1 (01 Nov 2014)
01 Nov 2014; Hans de Graaff <graaff@gentoo.org> +nio4r-1.0.1.ebuild:
Version bump. Use bundled and patched libev, fixing bug 527330.
12 Aug 2014; Anthony G. Basile <blueness@gentoo.org> nio4r-1.0.0.ebuild:
Keyword ~ppc and ~ppc64, bug #519596
07 May 2014; Patrick Lauer <patrick@gentoo.org> nio4r-1.0.0.ebuild:
Whitespace
*nio4r-1.0.0 (07 May 2014)
07 May 2014; Manuel Rüger <mrueg@gentoo.org> +files/nio4r-1.0.0-extconf.patch,
+metadata.xml, +nio4r-1.0.0.ebuild:
Initial version.

View file

@ -1 +0,0 @@
DIST nio4r-1.0.1.gem 88576 SHA256 0b3dd204fe0174711dbd9683b3b581f3ca7d94325cdcdc8e0d99daeeea48ea7f SHA512 5a2cd7a5df221315bd145c14eef839a9bcbe5fac08b39537ef9a9cbd4522ea621b0b1172309df479c634f639eb84b97d3b52a968e6e06e600d33bd633125ab99 WHIRLPOOL 7b26d3291bcd3af4e1386868cb8ca8c95168a86e9cfb4404df85b1666815024b5dd1405d33bb86fa6e9a89efd22942bccc7096fe19617e8daf1f15be1c79fd5c

View file

@ -1,5 +0,0 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>ruby</herd>
</pkgmetadata>

View file

@ -1,39 +0,0 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/nio4r/nio4r-1.0.1.ebuild,v 1.1 2014/11/01 08:26:41 graaff Exp $
EAPI=5
USE_RUBY="ruby19 ruby20 ruby21"
RUBY_FAKEGEM_RECIPE_TEST="rspec"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_EXTRADOC="CHANGES.md README.md"
inherit ruby-fakegem
DESCRIPTION="A high performance selector API for monitoring IO objects"
HOMEPAGE="https://github.com/celluloid/nio4r"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
IUSE=""
# Note that nio4r bundles a patched copy of libev, and without these
# patches the tests fail: https://github.com/celluloid/nio4r/issues/15
all_ruby_prepare() {
sed -i -e '/[Cc]overalls/d' -e '/[Bb]undler/d' spec/spec_helper.rb || die
sed -e '/extension/ s:^:#:' -i Rakefile || die
}
each_ruby_configure() {
${RUBY} -Cext/${PN} extconf.rb || die
}
each_ruby_compile() {
emake V=1 -Cext/${PN}
cp ext/${PN}/*$(get_modname) lib/ || die
}

View file

@ -1,2 +0,0 @@
DIST nokogiri-1.6.6.2-git.tgz 2258820 SHA256 32358b52936f1e2de0136130d3f43ea7e8d6c6f417265e21dc7e7d8572aff5b6 SHA512 6335c8e584c6b13a5cc9353b348b6df65f3e84392628b3ff458279bb03253e0f773f4557bac701872842761b1656a23d520a8446b83fcbc30efa29109fb2fec5 WHIRLPOOL c488a97872c560be4f366a1fb6cc8da08e025af3da19cd5083fb6bc9ce31127a021bd8ebb4a203172a799dfe5f29cb8c96da86e6165fe50e10a3e73f9e899632
DIST nokogiri-1.6.8_rc3.tar.gz 5731988 SHA256 7e14295226a24b72ab406d8f7b594ca820320faa10356106e3fde72d4d3b0174 SHA512 ee0788376518c27c955ee449b1ca071160d193616480e5ab7cc1ef3a184807d679735af5881f6bf4e01b90e4955ae6cbbd479dd5b8d8cdcf6c034aba46da6d1c WHIRLPOOL 76bdbe56c9b6de422fafd9858e303b5bc697a25c2efed0d01aee8ae4b34db9e5f6e6bc793263172643db9b29bdb1e7c3dd782c6320a616ee4168d38c98021eab

View file

@ -1,11 +0,0 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
<email>ruby@gentoo.org</email>
<name>Gentoo Ruby Project</name>
</maintainer>
<upstream>
<remote-id type="github">sparklemotion/nokogiri</remote-id>
</upstream>
</pkgmetadata>

View file

@ -1,90 +0,0 @@
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
USE_RUBY="ruby20 ruby21 ruby22"
RUBY_FAKEGEM_RECIPE_DOC="rdoc"
RUBY_FAKEGEM_EXTRADOC="CHANGELOG.rdoc CHANGELOG.ja.rdoc README.rdoc README.ja.rdoc ROADMAP.md STANDARD_RESPONSES.md"
RUBY_FAKEGEM_EXTRAINSTALL="ext"
inherit ruby-fakegem eutils multilib
DESCRIPTION="Nokogiri is an HTML, XML, SAX, and Reader parser"
HOMEPAGE="http://nokogiri.org/"
LICENSE="MIT"
SRC_URI="https://github.com/sparklemotion/nokogiri/archive/v${PV}.tar.gz -> ${P}-git.tgz"
KEYWORDS="~alpha amd64 arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
SLOT="0"
IUSE=""
DEPEND=">=dev-libs/libxml2-2.9.2:=
dev-libs/libxslt
virtual/libiconv"
RDEPEND="${DEPEND}"
# The tests require _minitest_, not the virtual; what is shipped with
# Ruby 1.9 is *not* enough, unfortunately
ruby_add_bdepend "
=dev-ruby/mini_portile-0.6*
dev-ruby/hoe
dev-ruby/rake-compiler
dev-ruby/rexical
dev-ruby/rdoc
dev-ruby/racc
test? ( dev-ruby/minitest )"
all_ruby_prepare() {
einfo "dir: `pwd`"
sed -i \
-e '/tasks\/cross_compile/s:^:#:' \
-e '/:test.*prerequisites/s:^:#:' \
-e '/license/ s:^:#:' \
Rakefile || die
# Remove the cross compilation options since they interfere with
# native building.
sed -i -e 's/cross_compile = true/cross_compile = false/' Rakefile || die
sed -i -e '/cross_config_options/d' Rakefile || die
}
each_ruby_configure() {
NOKOGIRI_USE_SYSTEM_LIBRARIES=true \
${RUBY} -Cext/${PN} extconf.rb \
--with-zlib-include="${EPREFIX}"/usr/include \
--with-zlib-lib="${EPREFIX}"/$(get_libdir) \
--with-iconv-include="${EPREFIX}"/usr/include \
--with-iconv-lib="${EPREFIX}"/$(get_libdir) \
--with-xml2-include="${EPREFIX}"/usr/include/libxml2 \
--with-xml2-lib="${EPREFIX}"/usr/$(get_libdir) \
--with-xslt-dir="${EPREFIX}"/usr \
--with-iconvlib=iconv \
|| die "extconf.rb failed"
}
each_ruby_compile() {
if ! [[ -f lib/nokogiri/css/tokenizer.rb ]]; then
${RUBY} -S rake lib/nokogiri/css/tokenizer.rb || die "rexical failed"
fi
if ! [[ -f lib/nokogiri/css/parser.rb ]]; then
${RUBY} -S rake lib/nokogiri/css/parser.rb || die "racc failed"
fi
emake -Cext/${PN} \
V=1 \
CFLAGS="${CFLAGS} -fPIC" \
archflag="${LDFLAGS}" || die "make extension failed"
cp -l ext/${PN}/${PN}$(get_modname) lib/${PN}/ || die
}
each_ruby_install() {
# Clean up "ext" directory before installing it. nokogumbo expects
# the header files and shared object to be in ext.
rm -rf ext/java ext/nokogiri/*.o ext/nokogiri/{mkmf.log,Makefile} || die
each_fakegem_install
}

View file

@ -1,96 +0,0 @@
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
USE_RUBY="ruby20 ruby21 ruby22 ruby23"
RUBY_FAKEGEM_RECIPE_DOC="rdoc"
RUBY_FAKEGEM_EXTRADOC="CHANGELOG.rdoc README.md ROADMAP.md STANDARD_RESPONSES.md"
RUBY_FAKEGEM_EXTRAINSTALL="ext"
RUBY_FAKEGEM_VERSION="${PV/_rc/.rc}"
inherit ruby-fakegem eutils multilib
DESCRIPTION="Nokogiri is an HTML, XML, SAX, and Reader parser"
HOMEPAGE="http://nokogiri.org/"
LICENSE="MIT"
SRC_URI="https://github.com/sparklemotion/nokogiri/archive/v${RUBY_FAKEGEM_VERSION}.tar.gz -> ${P}.tar.gz"
KEYWORDS="~amd64 ~arm ~x86"
SLOT="0"
IUSE=""
DEPEND=">=dev-libs/libxml2-2.9.2:=
dev-libs/libxslt
virtual/libiconv"
RDEPEND="${DEPEND}"
#The mini_portile2 is not required, see https://bugs.gentoo.org/show_bug.cgi?id=570048
ruby_add_bdepend "
>=dev-ruby/pkg-config-1.1.7
dev-ruby/hoe
dev-ruby/rexical
dev-ruby/rdoc
dev-ruby/racc
test? ( dev-ruby/minitest )"
RUBY_S="${PN}-${RUBY_FAKEGEM_VERSION}"
all_ruby_prepare() {
sed -i \
-e '/tasks\/cross_compile/s:^:#:' \
-e '/:test.*prerequisites/s:^:#:' \
-e '/license/ s:^:#:' \
Rakefile || die
# Remove the cross compilation options since they interfere with
# native building.
sed -i -e 's/cross_compile = true/cross_compile = false/' Rakefile || die
sed -i -e '/cross_config_options/d' Rakefile || die
}
each_ruby_configure() {
NOKOGIRI_USE_SYSTEM_LIBRARIES=true \
${RUBY} -Cext/${PN} extconf.rb \
--with-zlib-include="${EPREFIX}"/usr/include \
--with-zlib-lib="${EPREFIX}"/$(get_libdir) \
--with-iconv-include="${EPREFIX}"/usr/include \
--with-iconv-lib="${EPREFIX}"/$(get_libdir) \
--with-xml2-include="${EPREFIX}"/usr/include/libxml2 \
--with-xml2-lib="${EPREFIX}"/usr/$(get_libdir) \
--with-xslt-dir="${EPREFIX}"/usr \
--with-iconvlib=iconv \
|| die "extconf.rb failed"
}
each_ruby_compile() {
if ! [[ -f lib/nokogiri/css/tokenizer.rb ]]; then
${RUBY} -S rake lib/nokogiri/css/tokenizer.rb || die "rexical failed"
fi
if ! [[ -f lib/nokogiri/css/parser.rb ]]; then
${RUBY} -S rake lib/nokogiri/css/parser.rb || die "racc failed"
fi
emake -Cext/${PN} \
V=1 \
CFLAGS="${CFLAGS} -fPIC" \
archflag="${LDFLAGS}" || die "make extension failed"
cp -l ext/${PN}/${PN}$(get_modname) lib/${PN}/ || die
}
each_ruby_test() {
${RUBY} -Ilib:.:test -e 'Dir["test/**/test_*.rb"].each {|f| require f}' || die
}
each_ruby_install() {
# Clean up "ext" directory before installing it. nokogumbo expects
# the header files and shared object to be in ext.
rm -rf ext/java ext/nokogiri/*.o ext/nokogiri/{mkmf.log,Makefile} || die
each_fakegem_install
}

View file

@ -1 +0,0 @@
DIST patch_finder-1.0.2.gem 14848 SHA256 b5908359281b620e0004d48cfcbc6b6860a9c054816f2378ccc196a229d3a9d5 SHA512 24b269fcf9d379ca07aaecb8a9282086767eed0dfa9a12cd2523eda488621a81e90c4cb386600f3120bd503e0de1887f6826da33df4e77c5c8eb3fae61e7ca8f WHIRLPOOL 83bd90046f401f23ae0f9f8f0dddd4de8e5a31a9cd135edb76f3f369cb271c22b0de9ad0c21dd27419b5de0d06b5af33af989c4063c15272f2aaafce6c6f5a00

View file

@ -1,24 +0,0 @@
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
USE_RUBY="ruby20 ruby21 ruby22"
RUBY_FAKEGEM_BINWRAP=""
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_TASK_TEST=""
RUBY_FAKEGEM_EXTRADOC="README.md"
inherit ruby-fakegem versionator
DESCRIPTION="Generic Patch Finder"
HOMEPAGE="https://github.com/wchen-r7/patch-finder"
LICENSE="BSD-3-Clause"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""

View file

@ -1 +0,0 @@
DIST rack-protection-1.4.0.gem 15872 SHA256 6092b436f93490d580a6ee6840888cf40804ee65c65f4bc6cf497e47c06bde35 SHA512 19f3e1e52ce33a8ef3b2411a0c9915b03cbfc49b9665fe27fa3ce98654d437a05119cf4a2981b866729d8299d397915db8e8bdd7d0ded7f6b43fa82cd4c8a3c5 WHIRLPOOL 1f6107cbae4c6bb26a1285e18c754ca02d4dad33b8c56f1012835a2d1638dfc7fb92a1825ed298ecc05b0800292d60b54999747aebfd556091d744fc25a74527

View file

@ -1,24 +0,0 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/rack-protection/rack-protection-1.5.0.ebuild,v 1.1 2013/04/13 12:56:58 graaff Exp $
EAPI=5
USE_RUBY="ruby18 ruby19"
RUBY_FAKEGEM_RECIPE_TEST="rspec"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_EXTRADOC="README.md"
RUBY_FAKEGEM_GEMSPEC="rack-protection.gemspec"
inherit ruby-fakegem eutils versionator
DESCRIPTION="This gem protects against typical web attacks."
HOMEPAGE="https://github.com/rkh/rack-protection"
LICENSE="MIT"
SLOT="$(get_version_component_range 1)"
KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE=""
ruby_add_bdepend "test? ( dev-ruby/rack-test )"

View file

@ -1 +0,0 @@
DIST rails-3.2.21.tgz 3568729 SHA256 95dcf2a848a7fd09acbb12c47e6901baeea08645c32c37e2ae04e2650cf01deb SHA512 952c799736dd2a48532a4340d97ffbbbdc2451fc509e7f86ca47c09f5c6a3f4e5cb9b87c3e803692bc8a810bc178513bbe74f3037fdf8f786c30f0c85dd26948 WHIRLPOOL a2c79df0091ea0ca6f3969a91b4d73c14f79cab9d31ec30591a640321487aedafd0318326080ad4d9be0523002eab2c3c5e9e49b2c6b0b5ef6f5dac8da0bfab5

View file

@ -1,82 +0,0 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/railties/railties-3.2.21.ebuild,v 1.1 2014/11/17 20:20:24 graaff Exp $
EAPI=5
USE_RUBY="ruby19 ruby20 ruby21"
RUBY_FAKEGEM_TASK_TEST="test:regular"
RUBY_FAKEGEM_TASK_DOC="generate_guides"
RUBY_FAKEGEM_DOCDIR="guides/output"
RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
RUBY_FAKEGEM_GEMSPEC="railties.gemspec"
RUBY_FAKEGEM_BINWRAP=""
inherit ruby-fakegem versionator
DESCRIPTION="Tools for creating, working with, and running Rails applications"
HOMEPAGE="http://github.com/rails/rails"
SRC_URI="http://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
LICENSE="MIT"
SLOT="$(get_version_component_range 1-2)"
KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE=""
RUBY_S="rails-${PV}/${PN}"
# The test suite has many failures, most likely due to a mismatch in
# exact dependencies or environment specifics. Needs further
# investigation.
RESTRICT="test"
RDEPEND+=">=app-eselect/eselect-rails-0.18"
ruby_add_rdepend "
~dev-ruby/activesupport-${PV}
~dev-ruby/actionpack-${PV}
>=dev-ruby/rdoc-3.4
>=dev-ruby/thor-0.14.6
>=dev-ruby/rack-ssl-1.3.2:1.3
>=dev-ruby/rake-0.8.7"
ruby_add_bdepend "
test? (
dev-ruby/mocha:0.13
)
doc? (
>=dev-ruby/redcloth-4.1.1
)"
all_ruby_prepare() {
# Remove items from the common Gemfile that we don't need for this
# test run. This also requires handling some gemspecs.
sed -i -e '/\(uglifier\|system_timer\|sdoc\|w3c_validators\|pg\)/d' ../Gemfile || die
# Also allow rdoc 4.x
sed -i -e 's/~> 3.4/>= 3.4/' ${RUBY_FAKEGEM_GEMSPEC} || die
}
all_ruby_install() {
all_fakegem_install
if use doc ; then
mv guides/output guides/guides || die
dohtml -r guides/guides
fi
ruby_fakegem_binwrapper rails rails-${PV}
}
pkg_postinst() {
elog "To select between slots of rails, use:"
elog "\teselect rails"
eselect rails update
}
pkg_postrm() {
eselect rails update
}

View file

@ -1 +0,0 @@
DIST rspec-its-1.0.1.gem 11264 SHA256 e21098d5f12602b36155341edda42f3984321a0609710f464d3b1ea8d0fe8497 SHA512 25640ff67db11ac84e45c413b36cca34c13596e967b880222f66d7dae80558c6e1447c2fbdd3db8de7530fe36e124ad81d425df533fe56317b147831d9050a5a WHIRLPOOL c5352943eb4f333f5bcb6ab5b4e44c977c81015dee131ec66f505eae6e6eb7acebb7612aabe2b6dec042bf02a5659b7d3175bf983db77a5f517e95c8742bd9a7

View file

@ -1,23 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
USE_RUBY="ruby19 ruby20 ruby21"
inherit ruby-fakegem
DESCRIPTION="RSpec extension gem for attribute matching"
HOMEPAGE="https://github.com/rspec/rspec-its"
SRC_URI="mirror://rubygems/${P}.gem"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
ruby_add_rdepend "
>=dev-ruby/rspec-core-3.0.0
>=dev-ruby/rspec-expectations-3.0.0
"

View file

@ -1,2 +0,0 @@
DIST ruby-progressbar-1.1.0.gem 23040 SHA256 1f3804fa43005823693b89b20ceab8ea3122856888a9b1272ca0728f539dc95a SHA512 e3a1ac8a15d751fd0c1442ca125d74b95a8e6c6376b561e29030661b65f6e8efb039746875803fed9f185a434848abda58244a985f6627b1dc3dc7ee3f051712 WHIRLPOOL 81a8bda59b2d966b1ffa7d37fb38db9509ae14752c251de9596f64a5b69f15c258291efe24f45e4744f24745e383e5829a4c2580736cd60106126dee449e5116
DIST ruby-progressbar-1.7.5.gem 21504 SHA256 71c754e2e3f26b87f307e360dee8f2267800b88327a7def0098d7e6cb752d643 SHA512 1a5cb4b8ca9a9669bdaa60fcf3f01bec347b4ac1aefe737a7c6014bf40166c72d74ab0f489638c12ffd5245cc2b0a19186f7ab440bd7629579bf00d5155a8741 WHIRLPOOL 13e05a761c10c6fbb87cfb11f83f18acae93daeec1e11306b432ee751427e0d95a56d63cd7528590242b3e5241d4de6eaef2ea1b9190a1c1196430f4828f5580

View file

@ -1,29 +0,0 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/ruby-progressbar/ruby-progressbar-1.0.2.ebuild,v 1.6 2013/02/16 20:04:43 ago Exp $
EAPI=4
USE_RUBY="ruby18 ruby19 ree18 jruby"
RUBY_FAKEGEM_RECIPE_TEST="rspec"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_EXTRADOC="README.md"
inherit ruby-fakegem
DESCRIPTION="A Text Progress Bar Library for Ruby"
HOMEPAGE="https://github.com/jfelchner/ruby-progressbar"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~hppa ~ppc ~ppc64 x86 ~x86-fbsd"
IUSE="test"
ruby_add_bdepend "test? ( dev-ruby/timecop )"
all_ruby_prepare() {
sed -i -e '/[Ss]imple[Cc]ov/ s:^:#:' spec/spec_helper.rb || die
}

View file

@ -1,29 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
USE_RUBY="ruby19 ruby20 ruby21 ruby22"
RUBY_FAKEGEM_RECIPE_TEST="rspec"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_EXTRADOC="README.md"
inherit ruby-fakegem
DESCRIPTION="A Text Progress Bar Library for Ruby"
HOMEPAGE="https://github.com/jfelchner/ruby-progressbar"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~hppa ~ppc ~ppc64 ~x86 ~x86-fbsd"
IUSE="test"
ruby_add_bdepend "test? ( dev-ruby/timecop )"
all_ruby_prepare() {
sed -i -e '/[Ss]imple[Cc]ov/ s:^:#:' spec/spec_helper.rb || die
}

View file

@ -1,2 +0,0 @@
DIST sinatra-1.3.6.gem 307712 SHA256 8182b2f7e6a9fdd6203aba7512c40ba28f4174e83db6ca17a58c7e19f41023af SHA512 c2be217efa3125c9029fabc0e146bcaebf889196d482f39e3d96efe83019c3719b4d9b348cb3eb14f60f61bd7ec3064e7bad06980585982a6c68e3adc9419bdd WHIRLPOOL 624e636f50a202dd4b352f41c727651efaa10967b4a4962a1a6be54980008bbc4e994b346de4f76f4614478a3c8f1edad37e7d09f99f73045d1ea12c32e4a3f4
DIST sinatra-1.4.2.gem 333312 SHA256 02918e4840d2e1d4b625874fb361e0486b747f4e58021caf84de4e268703852b SHA512 b939415e1d624e48a6b7a6ad7b05105df201d5fafba74c750d8c41e32af1b7b6b224e398e8e98f4701882fbcb506850c843e1d03cb93e79cebca4f8c96d13b09 WHIRLPOOL 8c64ea6c13395f8acff680ca2827535a1338eba4ab31d39d0c1632b274e2f2ddf8356b7f8646aa0561978865b0f23fcab3fa12ddd9454dd7ed5a2a61efe1285a

View file

@ -1,27 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
USE_RUBY="ruby19 ruby20 ruby21"
# no documentation is generable, it needs hanna, which is broken
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_EXTRADOC="README.rdoc AUTHORS CHANGES"
inherit ruby-fakegem versionator
DESCRIPTION="Sinatra is a DSL for quickly creating web applications in Ruby with minimal effort."
HOMEPAGE="http://www.sinatrarb.com/"
LICENSE="MIT"
SLOT="$(get_version_component_range 1-2)"
KEYWORDS="~amd64 ~arm ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE=""
ruby_add_rdepend "=dev-ruby/rack-1* >=dev-ruby/rack-1.4
>=dev-ruby/rack-protection-1.3:1
=dev-ruby/tilt-1* >=dev-ruby/tilt-1.3.3"
ruby_add_bdepend "test? ( >=dev-ruby/rack-test-0.5.6 >=dev-ruby/haml-3.0 dev-ruby/erubis dev-ruby/builder )"

View file

@ -1,27 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
USE_RUBY="ruby19 ruby20 ruby21"
# no documentation is generable, it needs hanna, which is broken
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_EXTRADOC="AUTHORS CHANGES"
inherit ruby-fakegem versionator
DESCRIPTION="Sinatra is a DSL for quickly creating web applications in Ruby with minimal effort."
HOMEPAGE="http://www.sinatrarb.com/"
LICENSE="MIT"
SLOT="$(get_version_component_range 1-2)"
KEYWORDS="~amd64 ~arm ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE=""
ruby_add_rdepend "=dev-ruby/rack-1* >=dev-ruby/rack-1.4
>=dev-ruby/rack-protection-1.4:1
=dev-ruby/tilt-1* >=dev-ruby/tilt-1.3.4"
ruby_add_bdepend "test? ( >=dev-ruby/rack-test-0.5.6 >=dev-ruby/haml-3.0 dev-ruby/erubis dev-ruby/builder )"

View file

@ -1 +0,0 @@
DIST tzinfo-data-1.2016.4.gem 315392 SHA256 63dc172c54e7e0900b4002d407eededa4ddfda508416268f4ee89d589aa4aeaf SHA512 4bb19bc2dd601b820f3ea54880bd819a781a61ac0be8714859d9f614b3c9b1a7d62d9658ced9a899cf7c54fd2cb54dec5b054d64272d57fb8723fc64c5801f00 WHIRLPOOL 6bcb472925d1012cd1a6d1f77d6c95583534c9ac8889506346b67cf433dbc75dc479ed0550e2226e981f86ed913b57d6767c2a9ecbd907ba91872de34ebd5774

View file

@ -1,27 +0,0 @@
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
USE_RUBY="ruby20 ruby21 ruby22"
RUBY_FAKEGEM_BINWRAP=""
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_TASK_TEST=""
RUBY_FAKEGEM_EXTRADOC="README.md"
inherit ruby-fakegem versionator
DESCRIPTION="Contains a set of Ruby modules generated from the IANA Time Zone Database"
HOMEPAGE="http://tzinfo.github.io"
LICENSE="MIT"
SLOT="$(get_version_component_range 1)"
KEYWORDS="~amd64 ~x86"
IUSE=""
ruby_add_rdepend "
>=dev-ruby/tzinfo-1.0.0"

View file

@ -1,113 +0,0 @@
# ChangeLog for dev-ruby/webmock
# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/webmock/ChangeLog,v 1.26 2013/01/01 09:05:03 ago Exp $
01 Jan 2013; Agostino Sarubbo <ago@gentoo.org> webmock-1.7.4.ebuild:
Stable for x86, wrt bug #448672
01 Jan 2013; Agostino Sarubbo <ago@gentoo.org> webmock-1.7.4.ebuild:
Stable for amd64, wrt bug #448672
26 Dec 2012; Hans de Graaff <graaff@gentoo.org> -webmock-1.6.4.ebuild:
Cleanup.
*webmock-1.7.4 (20 Aug 2011)
20 Aug 2011; Hans de Graaff <graaff@gentoo.org> +webmock-1.7.4.ebuild:
Version bump.
17 Aug 2011; Hans de Graaff <graaff@gentoo.org> -webmock-1.6.1.ebuild,
-webmock-1.6.2.ebuild:
Remove old versions.
13 Jul 2011; Hans de Graaff <graaff@gentoo.org> webmock-1.6.4.ebuild:
Add jruby support.
*webmock-1.6.4 (20 May 2011)
20 May 2011; Hans de Graaff <graaff@gentoo.org> +webmock-1.6.4.ebuild:
Version bump.
09 Apr 2011; Hans de Graaff <graaff@gentoo.org> -webmock-0.9.1.ebuild,
-webmock-1.3.5.ebuild, -webmock-1.4.0.ebuild:
Remove old versions.
27 Feb 2011; Hans de Graaff <graaff@gentoo.org> webmock-1.4.0.ebuild,
webmock-1.6.1.ebuild, webmock-1.6.2.ebuild:
Move ppc64 keyword forward as intended.
26 Feb 2011; Kacper Kowalik <xarthisius@gentoo.org> webmock-1.3.5.ebuild:
Marked ~ppc64 wrt #339565
*webmock-1.6.2 (14 Jan 2011)
14 Jan 2011; Hans de Graaff <graaff@gentoo.org> +webmock-1.6.2.ebuild:
Version bump.
27 Dec 2010; Fabian Groffen <grobian@gentoo.org> webmock-1.6.1.ebuild:
Added Prefix keywords
*webmock-1.6.1 (28 Nov 2010)
28 Nov 2010; Hans de Graaff <graaff@gentoo.org> +webmock-1.6.1.ebuild:
Version bump. Drop patches that have been applied upstream.
22 Oct 2010; Christian Faulhammer <fauli@gentoo.org> webmock-1.4.0.ebuild:
keyworded ~arch for x86, bug 339565
*webmock-1.4.0 (18 Oct 2010)
18 Oct 2010; Hans de Graaff <graaff@gentoo.org> +webmock-1.4.0.ebuild,
+files/webmock-1.4.0-network-specs.patch,
+files/webmock-1.4.0-tmpdir.patch:
Version bump. Specs are now run as well.
09 Oct 2010; Hans de Graaff <graaff@gentoo.org> webmock-0.9.1.ebuild:
Depend on rspec-1.
09 Oct 2010; Hans de Graaff <graaff@gentoo.org> -webmock-0.9.0.ebuild:
Remove old version.
*webmock-1.3.5 (03 Oct 2010)
03 Oct 2010; Hans de Graaff <graaff@gentoo.org> +webmock-1.3.5.ebuild:
Version bump with new test dependencies. Dropped ppc64 and x86 due to
them: bug 339565.
29 Sep 2010; Brent Baude <ranger@gentoo.org> webmock-0.9.1.ebuild:
Marking webmock-0.9.1 ~ppc64 for bug 321283
20 Jul 2010; Christian Faulhammer <fauli@gentoo.org> webmock-0.9.1.ebuild:
add ~x86, bug 328915
03 Jun 2010; Hans de Graaff <graaff@gentoo.org> -webmock-0.8.0.ebuild,
-webmock-0.8.1.ebuild, -webmock-0.8.2.ebuild:
Remove old versions.
*webmock-0.9.1 (03 Feb 2010)
03 Feb 2010; Hans de Graaff <graaff@gentoo.org> +webmock-0.9.1.ebuild:
Version bump with bug fix. Fix installation of EXTRADOC.
*webmock-0.9.0 (01 Feb 2010)
01 Feb 2010; Hans de Graaff <graaff@gentoo.org> +webmock-0.9.0.ebuild:
Version bump with new functionality.
*webmock-0.8.2 (18 Jan 2010)
18 Jan 2010; Diego E. Pettenò <flameeyes@gentoo.org>
+webmock-0.8.2.ebuild:
Version bump.
*webmock-0.8.1 (14 Jan 2010)
14 Jan 2010; Diego E. Pettenò <flameeyes@gentoo.org>
+webmock-0.8.1.ebuild:
Version bump, add JRuby support, tests pass on all three implementations.
*webmock-0.8.0 (04 Jan 2010)
04 Jan 2010; Diego E. Pettenò <flameeyes@gentoo.org>
+webmock-0.8.0.ebuild, +metadata.xml:
Initial import of webmock, needed for 0.3 series of dev-ruby/gemcutter.

View file

@ -1 +0,0 @@
DIST webmock-1.9.3.gem 83456 SHA256 1a8117df4eceb15e5042c8b2885769ada8cd57cdf3f35f1201d6c80c63740906 SHA512 2747ed3baad7969650f714b4ada1c067180c884792dbb86f37fe677b97ca8ae4b7fa84dc7c50ddbbd3389efb61f746dc8b5e0484e1ad3e2f468b4e57b37053ce WHIRLPOOL 62cc609900fe2edb24eba328ab427c11532ac232ba8c22f6a04f34d620a4703b8bff374bd9386e58d4aec9dd2a13f45f1f7781b057ff3556ba9b9e03e2d9791a

View file

@ -1,5 +0,0 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>ruby</herd>
</pkgmetadata>

View file

@ -1,44 +0,0 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/webmock/webmock-1.7.4.ebuild,v 1.3 2013/01/01 09:05:03 ago Exp $
EAPI=2
USE_RUBY="ruby18 ruby19 ree18 jruby"
RUBY_FAKEGEM_TASK_TEST="test spec NO_CONNECTION=true"
RUBY_FAKEGEM_DOCDIR="rdoc"
RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
inherit ruby-fakegem
DESCRIPTION="Allows stubbing HTTP requests and setting expectations on HTTP requests"
HOMEPAGE="http://github.com/bblimke/webmock"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
ruby_add_rdepend ">=dev-ruby/addressable-2.2.5 >=dev-ruby/crack-0.1.7"
ruby_add_bdepend "test? (
virtual/ruby-test-unit
dev-ruby/rspec:2
>=dev-ruby/httpclient-2.1.5.2
)"
# These are not supported for jruby.
USE_RUBY="ruby18 ruby19 ree18" ruby_add_bdepend "test? ( >=dev-ruby/patron-0.4.9-r1 >=dev-ruby/em-http-request-0.2.14 )"
all_ruby_prepare() {
# Remove bundler support
rm Gemfile || die
sed -i -e '/[Bb]undler/d' Rakefile || die
# There is now optional support for curb and typhoeus which we don't
# have in Gentoo yet.
sed -i -e '/\(curb\|typhoeus\)/d' spec/spec_helper.rb || die
# rm spec/curb_spec.rb spec/typhoeus_hydra_spec.rb || die
}

View file

@ -1 +0,0 @@
DIST websocket-1.2.2.gem 26112 SHA256 e42a150316fa957b49da39308338b33c3f8ea9bb8a7720d26a042547e4d32cbb SHA512 a79e87a317a60c021f988edcf51a1fe2e0eaba44a152db1d74d81ac0208ffaa9483959bb162d56cd5c7b916da224bae9598b42510fa24fdcc64ad34e46c406c8 WHIRLPOOL 795bbb92423a382d5707cdf9288b86d7964972fc2d265971cc46875a5901fafb29bc99bcb03fc88a80616f09e3b45c626f3b5681311e2b16dca4226491f74227

View file

@ -1,18 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
USE_RUBY="ruby20 ruby21 ruby22"
inherit ruby-fakegem
DESCRIPTION="Universal Ruby library to handle WebSocket protocol"
HOMEPAGE="http://github.com/imanel/websocket-ruby"
SRC_URI="https://rubygems.org/gems/${P}.gem"
LICENSE="unknown"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""

View file

@ -1 +0,0 @@
DIST metasploit-4.12.5.tar.gz 23309813 SHA256 9b33718c63b33f0d7d64fcb7dd9f1e18dc268203da736a54d35ade7c3bd49377 SHA512 560eace5da966c9cd8e423dbbf46914c638e62f0ce636a5dcc14b425c69346e9493f20f7000d10a718b88e2404a828808f8c46244ec72f5d1192613ddee940d0 WHIRLPOOL 14762846f61c973f3f72b8ec9f393fd1dabefb3cae7717f77bb4c7835a68b179b1d7df13225ff6020a569e3c0a566ee2a52b2758f784ebb1742ea8cd5cbc9f87

View file

@ -1,34 +0,0 @@
#
# The tests currently use the development user
# https://dev.metasploit.com/redmine/issues/8418
#
development:
adapter: "postgresql"
database: "msf_test_database"
username: "msf_test_user"
password: "secure"
port: 5432
host: "localhost"
pool: 256
timeout: 5
production:
adapter: "postgresql"
database: "msf_database"
username: "msf_user"
password: "secure"
port: 5432
host: "localhost"
pool: 256
timeout: 5
test:
adapter: "postgresql"
database: "msf_test_database"
username: "msf_test_user"
password: "secure"
port: 5432
host: "localhost"
pool: 256
timeout: 5

View file

@ -1,25 +0,0 @@
# Config file for /etc/init.d/msfrpcd
# msfrpcd -h for more info
# Bind to the following IP instead of 0.0.0.0
MSF_OPTS="-a 127.0.0.1"
# Bind to the following TCP port instead of default 55553
#MSF_OPTS="${MSF_OPTS} -p 55553"
# Specify the username to access msfrpcd
MSF_OPTS="${MSF_OPTS} -U msf"
# Specify the password to access msfrpcd
MSF_OPTS="${MSF_OPTS} -P secret"
# Server type, [Basic|Web]
#MSF_OPTS="${MSF_OPTS} -t Basic"
# URI for Web server
#MSF_OPTS="${MSF_OPTS} -u "
# Disable SSL on the XMLRPC socket
# JAVA GUI doesn't support SSL as of Nov 6, 2010
MSF_OPTS="${MSF_OPTS} -S"

View file

@ -1,22 +0,0 @@
#!/sbin/openrc-run
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
VERSION=4.11
PIDFILE=/var/run/msfrpcd${VERSION}.pid
start() {
ebegin "Starting msfrpcd${VERSION}"
start-stop-daemon --start --quiet --background \
--exec /usr/lib/metasploit${VERSION}/msfrpcd \
--pidfile ${PIDFILE} \
--make-pidfile -- -f ${MSF_OPTS}
eend $?
}
stop() {
ebegin "Stopping msfrpcd${VERSION}"
start-stop-daemon --stop --quiet -s 9 --pidfile ${PIDFILE}
eend $?
}

View file

@ -1,301 +0,0 @@
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI="5"
#never ever ever have more than one ruby in here
USE_RUBY="ruby21"
inherit eutils ruby-ng
if [[ ${PV} == "9999" ]] ; then
EGIT_REPO_URI="https://github.com/rapid7/metasploit-framework.git"
EGIT_CHECKOUT_DIR="${WORKDIR}"/all
inherit git-r3
KEYWORDS=""
SLOT="9999"
else
##Tags https://github.com/rapid7/metasploit-framework/releases
##Releases https://github.com/rapid7/metasploit-framework/wiki/Downloads-by-Version
#SRC_URI="https://github.com/rapid7/metasploit-framework/archive/${PV}.tar.gz -> ${P}.tar.gz"
##Snapshots
MY_PV=${PV/_p/-}
SRC_URI="https://github.com/rapid7/metasploit-framework/archive/${MY_PV}.tar.gz -> ${P}.tar.gz"
KEYWORDS="~amd64 ~arm ~x86"
RUBY_S="${PN}-framework-${MY_PV}"
inherit versionator
SLOT="$(get_version_component_range 1).$(get_version_component_range 2)"
fi
DESCRIPTION="Advanced framework for developing, testing, and using vulnerability exploit code"
HOMEPAGE="http://www.metasploit.org/"
LICENSE="BSD"
IUSE="development +java oracle +pcap test"
#multiple known bugs with tests reported upstream and ignored
#http://dev.metasploit.com/redmine/issues/8418 - worked around (fix user creation when possible)
RESTRICT="test"
RUBY_COMMON_DEPEND="virtual/ruby-ssl
>=dev-ruby/activesupport-4.2.6:4.2
>=dev-ruby/actionpack-4.2.6:4.2
>=dev-ruby/activerecord-4.2.6:4.2
dev-ruby/bcrypt-ruby
dev-ruby/builder:3
dev-ruby/bundler
dev-ruby/filesize
dev-ruby/jsobfu:0.3.0
dev-ruby/json
dev-ruby/kissfft
dev-ruby/metasm:1.0.2
dev-ruby/metasploit_data_models:2.0.0
dev-ruby/meterpreter_bins:0.0.22
dev-ruby/metasploit-payloads:1.1.11
dev-ruby/metasploit-credential:2.0
dev-ruby/metasploit-concern:2.0
dev-ruby/metasploit-model:2.0
dev-ruby/msgpack
dev-ruby/nokogiri
dev-ruby/openssl-ccm:1.2.1
dev-ruby/octokit
dev-ruby/patch_finder
dev-ruby/recog:2.0.14
dev-ruby/redcarpet
=dev-ruby/rkelly-remix-0.0.6
dev-ruby/sqlite3
>=dev-ruby/pg-0.11
dev-ruby/packetfu:1.1.11
>=dev-ruby/rubyzip-1.1
dev-ruby/rb-readline-r7
dev-ruby/robots
dev-ruby/tzinfo-data
java? ( dev-ruby/rjb )
oracle? ( dev-ruby/ruby-oci8 )
pcap? ( dev-ruby/pcaprub:*
dev-ruby/network_interface )
development? ( dev-ruby/fivemat
dev-ruby/pry
dev-ruby/redcarpet
dev-ruby/yard
>=dev-ruby/rake-10.0.0
>=dev-ruby/factory_girl-4.1.0 )"
#lorcon doesn't support ruby21
#lorcon? ( net-wireless/lorcon[ruby] )
ruby_add_bdepend "${RUBY_COMMON_DEPEND}
test? ( >=dev-ruby/factory_girl-4.1.0
dev-ruby/fivemat
dev-ruby/database_cleaner
>=dev-ruby/rspec-2.12
dev-ruby/shoulda-matchers
dev-ruby/timecop
>=dev-ruby/rake-10.0.0 )"
ruby_add_rdepend "${RUBY_COMMON_DEPEND}"
COMMON_DEPEND="dev-db/postgresql[server]
>=app-crypt/johntheripper-1.7.9-r1[-minimal]
net-analyzer/nmap"
RDEPEND+=" ${COMMON_DEPEND}
>=app-eselect/eselect-metasploit-0.16"
RESTRICT="strip"
QA_PREBUILT="
usr/lib*/${PN}${SLOT}/data/templates/template_x86_linux.bin
usr/lib*/${PN}${SLOT}/data/templates/template_armle_linux.bin
usr/lib*/${PN}${SLOT}/data/templates/template_x86_solaris.bin
usr/lib*/${PN}${SLOT}/data/templates/template_x64_linux.bin
usr/lib*/${PN}${SLOT}/data/templates/template_x64_linux_dll.bin
usr/lib*/${PN}${SLOT}/data/templates/template_x86_bsd.bin
usr/lib*/${PN}${SLOT}/data/templates/template_x64_bsd.bin
usr/lib*/${PN}${SLOT}/data/templates/template_mipsbe_linux.bin
usr/lib*/${PN}${SLOT}/data/templates/template_mipsle_linux.bin
usr/lib*/${PN}${SLOT}/data/meterpreter/msflinker_linux_x86.bin
usr/lib*/${PN}${SLOT}/data/meterpreter/ext_server_sniffer.lso
usr/lib*/${PN}${SLOT}/data/meterpreter/ext_server_networkpug.lso
usr/lib*/${PN}${SLOT}/data/meterpreter/ext_server_stdapi.lso
usr/lib*/${PN}${SLOT}/data/exploits/CVE-2013-2171.bin
usr/lib*/${PN}${SLOT}/data/exploits/CVE-2014-3153.elf
usr/lib*/${PN}${SLOT}/data/android/libs/x86/libndkstager.so
usr/lib*/${PN}${SLOT}/data/android/libs/mips/libndkstager.so
usr/lib*/${PN}${SLOT}/data/android/libs/armeabi/libndkstager.so
"
pkg_setup() {
if use test; then
su postgres -c "dropdb msf_test_database" #this is intentionally allowed to fail
su postgres -c "createuser msf_test_user -d -S -R"
if [ $? -ne 0 ]; then
su postgres -c "dropuser msf_test_user" || die
su postgres -c "createuser msf_test_user -d -S -R" || die
fi
su postgres -c "createdb --owner=msf_test_user msf_test_database" || die
fi
ruby-ng_pkg_setup
}
all_ruby_unpack() {
if [[ ${PV} == "9999" ]] ; then
git-r3_src_unpack
else
default_src_unpack
# mv "${WORKDIR}"/all/msf3/* "${WORKDIR}"/all
# rm -r msf3
#msf_version=$(grep --color=never "CURRENT_VERSION =" ${S}/spec/lib/msf/core/framework_spec.rb)
#msf_version=${msf_version#*=}
fi
}
all_ruby_prepare() {
# add psexec patch from pull request 2657 to allow custom exe templates from any files, bypassing most AVs
#epatch "${FILESDIR}/agix_psexec_pull-2657.patch"
epatch_user
#remove random "cpuinfo" binaries which a only needed to detect which bundled john to run
rm -r data/cpuinfo
#remove random oudated collected garbage
rm -r external
#remove unneeded ruby bundler versioning files
#Gemfile.lock contains the versions tested by the msf team but not the hard requirements
#we regen this file in each_ruby_prepare
rm Gemfile.lock
#The Gemfile contains real known deps
#add our dep on upstream rb-readline instead of bundled one
#and then they broke it...
#sed -i "/gem 'packetfu'/a #use upstream readline instead of bundled\ngem 'rb-readline'" Gemfile || die
sed -i "/gem 'fivemat'/s/, '1.2.1'//" Gemfile || die
#remove the bundled readline
#https://github.com/rapid7/metasploit-framework/pull/3105
#this PR was closed due to numerous changes to their local fork, almost entirely for non-linux
#but now we have to go back to bundled readline because otherwise it's broken
#rm lib/rbreadline.rb
#now we edit the Gemfile based on use flags
#even if we pass --without=blah bundler still calculates the deps and messes us up
if ! use pcap; then
sed -i -e "/^group :pcap do/,/^end$/d" Gemfile || die
fi
if ! use development; then
sed -i -e "/^group :development do/,/^end$/d" Gemfile || die
fi
if ! use test; then
sed -i -e "/^group :test/,/^end$/d" Gemfile || die
fi
if ! use test && ! use development; then
sed -i -e "/^group :development/,/^end$/d" Gemfile || die
fi
#We don't need simplecov
sed -i -e "/^group :coverage/,/^end$/d" Gemfile || die
sed -i -e "s#require 'simplecov'##" spec/spec_helper.rb || die
#we need to edit the gemspec too, since it tries to call git instead of anything sane
#probably a better way to fix this... if I care at some point
sed -i -e "/^ spec.files/,/^ }/d" metasploit-framework.gemspec || die
#let's bogart msfupdate
rm msfupdate
echo "#!/bin/sh" > msfupdate
echo "echo \"[*]\"" >> msfupdate
echo "echo \"[*] Attempting to update the Metasploit Framework...\"" >> msfupdate
echo "echo \"[*]\"" >> msfupdate
echo "echo \"\"" >> msfupdate
if [[ ${PV} == "9999" ]] ; then
echo "if [ -x /usr/bin/smart-live-rebuild ]; then" >> msfupdate
echo " smart-live-rebuild -f net-analyzer/metasploit" >> msfupdate
echo "else" >> msfupdate
echo " echo \"Please install app-portage/smart-live-rebuild for a better experience.\"" >> msfupdate
echo "emerge --oneshot \"=${CATEGORY}/${PF}\"" >> msfupdate
echo "fi" >> msfupdate
else
echo "echo \"Unable to update tagged version of metasploit.\"" >> msfupdate
echo "echo \"If you want the latest please install and eselect the live version (metasploit9999)\"" >> msfupdate
echo "echo \"emerge metasploit:9999 -vat && eselect metasploit set metasploit9999\"" >> msfupdate
fi
#this is set executable in src_install
#install our database.yml file before tests are run
cp "${FILESDIR}"/database.yml config/
}
each_ruby_prepare() {
MSF_ROOT="." BUNDLE_GEMFILE=Gemfile ${RUBY} -S bundle install --local || die
MSF_ROOT="." BUNDLE_GEMFILE=Gemfile ${RUBY} -S bundle check || die
#force all metasploit executables to use desired ruby version
#https://dev.metasploit.com/redmine/issues/8357
for file in $(ls -1 msf*)
do
#poorly adapted from python.eclass
sed -e "1s:^#![[:space:]]*\([^[:space:]]*/usr/bin/env[[:space:]]\)\?[[:space:]]*\([^[:space:]]*/\)\?ruby\([[:digit:]]\+\(\.[[:digit:]]\+\)\?\)\?\(\$\|[[:space:]].*\):#!\1\2${RUBY}:" -i "${file}" || die "Conversion of shebang in '${file}' failed"
done
}
each_ruby_test() {
#review dev-python/pymongo for ways to make the test compatible with FEATURES=network-sandbox
#we bogart msfupdate so no point in trying to test it
rm spec/msfupdate_spec.rb || die
#we don't really want to be uploading to virustotal during the tests
rm spec/tools/virustotal_spec.rb || die
# https://dev.metasploit.com/redmine/issues/8425
BUNDLE_GEMFILE=Gemfile ${RUBY} -S bundle exec rake db:create || die
BUNDLE_GEMFILE=Gemfile ${RUBY} -S bundle exec rake db:migrate || die
MSF_DATABASE_CONFIG=config/database.yml BUNDLE_GEMFILE=Gemfile ${RUBY} -S bundle exec rake || die
su postgres -c "dropuser msf_test_user" || die "failed to cleanup msf_test-user"
}
each_ruby_install() {
#Tests have already been run, we don't need this stuff
rm -r spec || die
rm -r test || die
rm Gemfile.lock || die
#I'm 99% sure that this will only work for as long as we only support one ruby version. Creativity will be needed if we wish to support multiple.
# should be as simple as copying everything into the target...
dodir /usr/$(get_libdir)/${PN}${SLOT}
cp -R * "${ED}"/usr/$(get_libdir)/${PN}${SLOT} || die "Copy files failed"
rm -Rf "${ED}"/usr/$(get_libdir)/${PN}${SLOT}/documentation "${ED}"/usr/$(get_libdir)/${PN}${SLOT}/README.md
fowners -R root:0 /
}
all_ruby_install() {
# do not remove LICENSE, bug #238137
dodir /usr/share/doc/${PF}
cp -R {documentation,README.md} "${ED}"/usr/share/doc/${PF} || die
dosym /usr/share/doc/${PF}/documentation /usr/$(get_libdir)/${PN}${SLOT}/documentation
fperms +x /usr/$(get_libdir)/${PN}${SLOT}/msfupdate
#tell revdep-rebuild to ignore binaries meant for the target
dodir /etc/revdep-rebuild
cat <<-EOF > "${ED}"/etc/revdep-rebuild/99-metasploit${SLOT}
#These dirs contain prebuilt binaries for running on the TARGET not the HOST
SEARCH_DIRS_MASK="/usr/lib*/${PN}${SLOT}/data/meterpreter"
SEARCH_DIRS_MASK="/usr/lib*/${PN}${SLOT}/data/exploits"
EOF
}
pkg_postinst() {
elog "Before use you should run 'env-update' and '. /etc/profile'"
elog "otherwise you may be missing important environmental variables."
elog "You need to prepare the database by running:"
elog "emerge --config postgresql"
elog "/etc/init.d/postgresql-<version> start"
elog "emerge --config =metasploit-${PV}"
"${EROOT}"/usr/bin/eselect metasploit set --use-old ${PN}${SLOT}
einfo
elog "Adjust /usr/lib/${PN}${SLOT}/config/database.yml if necessary"
}
pkg_config() {
einfo "If the following fails, it is likely because you forgot to start/config postgresql first"
su postgres -c "createuser msf_user -D -S -R"
su postgres -c "createdb --owner=msf_user msf_database"
}